/*
 * hw_setup.c
 *
 * Created: 28.06.2011 16:28:00
 *  Author: sTEk
 */ 
#include "definitionen.h"


void toggle_led_rot()
{
	if(stati_S2.fehler_kipper == 1)
	{
		LEDROT_LO;
		stati_S2.fehler_kipper = 0;
	}
	else
	{
		LEDROT_HIGH;
		stati_S2.fehler_kipper = 1;
	}

}

void toggle_led_gelb()
{
	if(stati_S2.empfang_kipper == 1)
	{
		LEDGELB_LO;
		stati_S2.empfang_kipper = 0;
	}
	else
	{
		LEDGELB_HIGH;
		stati_S2.empfang_kipper = 1;
	}
}

void toggle_led_gruen()
{
	if(stati_S2.ausgang_kipper == 1)
	{
		LEDGRUEN_LO;
		stati_S2.ausgang_kipper = 0;
	}
	else
	{
		LEDGRUEN_HIGH;
		stati_S2.ausgang_kipper = 1;
	}
}


void ports_definieren(void)
{
	DDRA = 0;
	//Port der Test-LEDs
	DDRA  |=  (1 << PA0); //rot
	DDRA  |=  (1 << PA1); //gelb
	DDRA  |=  (1 << PA2); //grn
	DDRA  |=  (1 << PA3); //Beregnung
	DDRA  |=  (1 << PA4); //Wasser_main

//DDRA &= ~(1<<PA5);


	//CTS als Ausgang schalten
	DDRD  |=  (1 << PD2);
}

void timer(void)
{
	// Timer 0 konfigurieren
	TCCR0 = (1<<CS01) | (1<<CS00) | (1<<WGM01); // Prescaler 64 > bei 16MHz = 4s
 
	// alle 1ms gehts in die ISR des Timers
  OCR0 = 250-1;
 
  // Compare Interrupt erlauben
  TIMSK |= (1<<OCIE0);

}